Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Homebrew 5.2.0 upgrade issue #203

Open
chenrui333 opened this issue Jul 4, 2019 · 3 comments

Comments

Projects
None yet
2 participants
@chenrui333
Copy link

commented Jul 4, 2019

Relates to Homebrew/homebrew-core#41635

It seems like the 5.1.2 does not work straight like the previous 5.0.0 upgrade. The errors are tied to the missing installations of bower and pulp.

Need some guidance on figuring out the new version upgrade.

Cheers!

@sharkdp

This comment has been minimized.

Copy link
Owner

commented Jul 7, 2019

Hi. The newest version of Insect (5.1.2 or the recently published 5.2.0) need to be built from source.

The following dependencies are needed during build/compile time:

  • bower
  • pulp
  • purescript

(see also the devDependencies field in the package.json)

Sorry for the inconvenience. I hope it's still possible to package Insect for Homebrew.

@sharkdp sharkdp added the cli label Jul 7, 2019

@chenrui333

This comment has been minimized.

Copy link
Author

commented Jul 7, 2019

that is what I figured out, I dont we do have have pulp formula in homebrew core, but we do have the other two formulas. I have already update the PR to use the latest, will update further regarding the build time deps tomorrow.

@chenrui333 chenrui333 changed the title Homebrew 5.1.2 upgrade issue Homebrew 5.2.0 upgrade issue Jul 9, 2019

@sharkdp

This comment has been minimized.

Copy link
Owner

commented Jul 13, 2019

For the Arch Linux package, I basically just treat it as a NPM package and let NPM install all the dependencies that are needed to compile it. Not sure if that's an option for the Homebrew package.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.